RTEMS: em_hw Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
em_hw Struct Reference

## Data Fields
uint8_t * | hw_addr
uint8_t * | flash_address
em_mac_type | mac_type
em_phy_type | phy_type
uint32_t | phy_init_script
em_media_type | media_type
void * | back
em_fc_type | fc
em_bus_speed | bus_speed
em_bus_width | bus_width
em_bus_type | bus_type
struct em_eeprom_info | eeprom
em_ms_type | master_slave
em_ms_type | original_master_slave
em_ffe_config | ffe_config_state
uint32_t | asf_firmware_present
uint32_t | eeprom_semaphore_present
unsigned long | io_base
uint32_t | phy_id
uint32_t | phy_revision
uint32_t | phy_addr
uint32_t | original_fc
uint32_t | txcw
uint32_t | autoneg_failed
uint32_t | max_frame_size
uint32_t | min_frame_size
uint32_t | mc_filter_type
uint32_t | num_mc_addrs
uint32_t | collision_delta
uint32_t | tx_packet_delta
uint32_t | ledctl_default
uint32_t | ledctl_mode1
uint32_t | ledctl_mode2
boolean_t | tx_pkt_filtering
struct em_host_mng_dhcp_cookie | mng_cookie
uint16_t | phy_spd_default
uint16_t | autoneg_advertised
uint16_t | pci_cmd_word
uint16_t | fc_high_water
uint16_t | fc_low_water
uint16_t | fc_pause_time
uint16_t | current_ifs_val
uint16_t | ifs_min_val
uint16_t | ifs_max_val
uint16_t | ifs_step_size
uint16_t | ifs_ratio
uint16_t | device_id
uint16_t | vendor_id
uint16_t | subsystem_id
uint16_t | subsystem_vendor_id
uint8_t | revision_id
uint8_t | autoneg
uint8_t | mdix
uint8_t | forced_speed_duplex
uint8_t | wait_autoneg_complete
uint8_t | dma_fairness
uint8_t | mac_addr [NODE_ADDRESS_SIZE]
uint8_t | perm_mac_addr [NODE_ADDRESS_SIZE]
boolean_t | disable_polarity_correction
boolean_t | speed_downgraded
em_smart_speed | smart_speed
em_dsp_config | dsp_config_state
boolean_t | get_link_status
boolean_t | serdes_link_down
boolean_t | tbi_compatibility_en
boolean_t | tbi_compatibility_on
boolean_t | phy_reset_disable
boolean_t | fc_send_xon
boolean_t | fc_strict_ieee
boolean_t | report_tx_early
boolean_t | adaptive_ifs
boolean_t | ifs_params_forced
boolean_t | in_ifs_mode
boolean_t | mng_reg_access_disabled

The documentation for this struct was generated from the following file:

- bsps/powerpc/beatnik/net/if_em/if_em_hw.h